/*
 Theme Name:   Lighthead.net
 Theme URI:    http://example.com/twenty-fifteen-child/
 Description:  Lighthead.net Main Theme
 Author:       Jeff Ratte
 Author URI:   https://lighthead.net
 Template:     devdmbootstrap4
 Version:      1.0.0
 License:      GNU General Public License v2 or later
 License URI:  http://www.gnu.org/licenses/gpl-2.0.html
 Tags:         light, dark, two-columns, right-sidebar, responsive-layout, accessibility-ready
*/

/* CSS RESET */

html,
body,
div,
span,
applet,
object,
iframe,
h1,
h2,
h3,
h4,
h5,
h6,
p,
blockquote,
pre,
a,
abbr,
acronym,
address,
big,
cite,
code,
del,
dfn,
em,
img,
ins,
kbd,
q,
s,
samp,
small,
strike,
strong,
sub,
sup,
tt,
var,
b,
u,
i,
center,
dl,
dt,
dd,
ol,
ul,
li,
fieldset,
form,
label,
legend,
table,
caption,
tbody,
tfoot,
thead,
tr,
th,
td,
article,
aside,
canvas,
details,
embed,
figure,
figcaption,
footer,
header,
hgroup,
menu,
nav,
output,
ruby,
section,
summary,
time,
mark,
audio,
video {
    margin: 0;
    padding: 0;
    border: 0;
    font-size: 100%;
    font: inherit;
    vertical-align: baseline;
}
/* HTML5 display-role reset for older browsers */
article,
aside,
details,
figcaption,
figure,
footer,
header,
hgroup,
menu,
nav,
section {
    display: block;
}
body {
    line-height: 1;
}
ol,
ul {
    list-style: none;
}
blockquote,
q {
    quotes: none;
}
blockquote:before,
blockquote:after,
q:before,
q:after {
    content: "";
    content: none;
}
table {
    border-collapse: collapse;
    border-spacing: 0;
}

*,
*:before,
*:after {
    box-sizing: border-box !important;
}

/* Customizations */

ul {
    margin-left: 1em;
    padding-left: 1em;
    list-style: disc;
}

ol {
    margin-left: 1em;
    padding-left: 1em;
    list-style: decimal;
}

.dmbs-main li {
    margin: 15px 0;
}

body {
    color: #ffff99;
    font-family: "Montserrat", sans-serif;
    line-height: 1.4;
    /*background: radial-gradient(circle, rgba(255,251,0,1) 35%, rgba(255,251,0,0) 100%)!important;*/
    background-image: url("/wp-content/uploads/2019/12/rsupremor_bg4-1.png");
    background-position: center;
    background-size: cover;
    background-attachment: fixed;
}

p {
    margin-bottom: 1em;
}

.dmbs-page-header,
.dmbs-post-header {
    text-align: center;
}

h1.dmbs-page-title,
h1.dmbs-post-title {
    font-size: 300%;
    color: white;
    text-shadow: 0px 0px 15px rgba(0, 0, 0, 0.75);
    margin: 1em auto;
    display: inline-block;
    font-weight: bold;
    letter-spacing: 5px;
    position: relative;
}

h1.dmbs-page-title:after,
h1.dmbs-post-title:after {
    content: "";
    position: absolute;
    width: 150px;
    bottom: -20px;
    height: 10px;
    background-color: #f2f200;
    display: block;
    left: 50%;
    transform: translate(-50%);
    transition: all 0.5s ease-in-out;
    opacity: 0.75;
}

h2 {
    font-size: 160%;
    font-family: "Gloria Hallelujah", serif;
    line-height: 1.1;
}

h3 {
    font-size: 140%;
    margin: 1em 0;
    font-weight: bold;
}

.card {
    background-color: rgba(0, 0, 0, 0.8);
    -webkit-backdrop-filter: blur(10px);
    backdrop-filter: blur(10px);
    margin: 1em 0;
    padding: 1em;
}

a {
    color: #f2f200;
    text-decoration: none !important;
}

a:hover {
    color: #f2f200;
    /*transform: skewX(10deg) rotateY(3deg);
    transform:perspective(100px);*/
}

.dmbs-post-title {
    transition: all 0.3s ease-in-out;
}

.dmbs-post-title a:hover {
    /*transform: skewX(10deg) rotateY(3deg);*/
    border-bottom: 2px solid #f2f200;
}

.dmbs-post-footer,
.dmbs-post-comment-counter {
    display: none;
}

.dmbs-post-date {
    color: white;
}

.dmbs-header {
    background-image: url("https://lighthead.net/css/images/rsupremor2015_7_bg_cell10.svg");
    background-position: center center;
    background-size: cover;
    transition: all 1s;
    padding: 0;
    background-color: #111;
    background-blend-mode: multiply;
    /*box-shadow: 0px 3px 14px 0px rgba(0,0,0,0.50);*/
}

.dmbs-header:hover {
    /*transform: matrix3d(1.015,0,0.00,0,0.00,1.015,0.00,-0.0000015,0,0,1,0,0,0,75,1);*/
    filter: brightness(150%);
    transition: all 0.3s ease 0s;
}

#header-nav-content {
    justify-content: center;
}

.navbar {
    padding: 0 1rem;
}

#menu-main-menu li {
    transition: all 0.5s ease;
}

#menu-main-menu a {
    color: #f2f200;
}

.dmbs-header-nav-container {
    background-color: rgba(0, 0, 0, 0.8);
}

.dmbs-content-wrapper .dmbs-main .dmbs-post .dmbs-post-meta-header {
    margin: 1rem 0;
}

/*
@media (min-width: 992px) {
	.navbar-expand-lg .navbar-nav .nav-link {
		padding:1rem 1.5rem;
	}
}
*/

@media screen and (min-width: 880px) {
    #menu-main-menu {
        gap: 1.5em;
    }

    #menu-main-menu a {
        position: relative;
    }
    #menu-main-menu a:after {
        content: "";
        position: absolute;
        width: 0%;
        top: 90%;
        height: 5px;
        background-color: #f2f200;
        display: block;
        left: 0;
        transition: all 0.5s ease-in-out;
        opacity: 0;
    }
    #menu-main-menu a:hover:after,
    #menu-main-menu .current-menu-item a:after {
        width: 100%;
        opacity: 1;
    }

    .home article {
        display: grid;
        grid-template-columns: 1fr 1fr;
        gap: 1.5rem;
    }

    .home .dmbs-post-featured-image img {
        object-fit: cover;
        height: 100% !important;
        border-radius: 0.35rem !important;
        box-shadow: 0 3px 12px rgba(242, 242, 0, 0.22), 0 3px 12px rgba(242, 242, 0, 0.25);
    }
}

footer.footer {
    background-color: #111;
    padding: 1em;
    font-size: 85%;
}

p.version {
    font-size: 75%;
    font-weight: bold;
    color: white;
    opacity: 0.75;
}

.flex {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
    align-items: center;
}

.flex dt {
    flex-basis: 100px;
}

.flex dd {
    flex-basis: 887px;
}

.logo img {
    max-width: 120px;
    position: relative;
    animation: lighty 5s ease-in-out infinite alternate;
}

.logo img:hover {
    scale: 1.05;
    transition: scale 0.2s ease-in-out;
}

.dmbs-logo-link {
    position: relative;
}

.dmbs-logo-link:before {
    content: "";
    position: absolute;
    z-index: 1000;
    top: -82px;
    left: -52px;
    width: 200px;
    height: 200px;
    background: radial-gradient(circle, white -15%, transparent 35%);
    opacity: 0.5;
    animation: lightbulb 5s ease-in-out infinite alternate;
    z-index: 0;
}

@keyframes lightbulb {
    0% {
        opacity: 0.3;
        scale: 1;
    }
    50% {
        opacity: 1;
        scale: 1.75;
    }
    100% {
        opacity: 0.3;
        scale: 1;
    }
}

@keyframes lighty {
    0% {
        filter: brightness(100%);
    }
    50% {
        filter: brightness(170%);
    }
    100% {
        filter: brightness(100%);
    }
}

.logo h1 {
    font-size: 150%;
    font-weight: bold;
    color: #f2f200;
    text-shadow: 0px 0px 15px rgba(0, 0, 0, 0.75);
    margin: 1em auto;
    display: inline-block;
    font-weight: bold;
    letter-spacing: 2px;
    position: relative;
    max-width: 17ch;
    text-align: center;
}

.logo span {
    font-size: 50%;
    color: #fff;
    display: block;
    letter-spacing: normal;
    margin-top: 0.5em;
}

.dmbs-logo-link {
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 1.5rem;
}

.social {
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 0.5em;
    font-size: 24px;
    margin: 2em 0;
}

.evolution img {
    max-width: 100%;
    height: 112px;
    margin: 1em auto;
    aspect-ratio: 4/3;
    object-fit: contain;
    display: block;
    transition: transform 0.2s ease;
    cursor: pointer;
}

.evolution img:hover {
    transform: scale(1.05); /* Slight scale on hover */
}

.evolution h3 {
    text-align: center;
}

.evolution p {
    font-size: 80%;
}

.btn-primary {
    background-color: #333;
    color: #f2f200;
    border: none;
    transition: all 0.3s ease-in-out;
}

.modal {
    display: none; /* Hidden by default */
    position: fixed; /* Stay in place */
    z-index: 100; /* Sit on top */
    left: 0;
    top: 0;
    width: 100%; /* Full width */
    height: 100%; /* Full height */
    overflow: auto; /* Enable scroll if needed */
    background-color: rgba(0, 0, 0, 0.9); /* Black background with opacity */

    justify-items: center;
    align-content: center;
}

/* Modal Content (image) */
.modal-img {
    margin: auto;
    display: block;
}

/* The Close Button */
.close {
    position: absolute;
    top: 15px;
    right: 35px;
    color: white;
    font-size: 40px;
    font-weight: bold;
    cursor: pointer;
}

/* Add Animation */
.modal-img,
.close {
    animation-name: zoom;
    animation-duration: 0.4s;
}

@keyframes zoom {
    from {
        transform: scale(0);
    }
    to {
        transform: scale(1);
    }
}

.video-container {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    z-index: -1;
    overflow: hidden;
}

.video-background {
    position: absolute;
    top: 50%;
    left: 50%;
    min-width: 100%;
    min-height: 100%;
    width: auto;
    height: auto;
    transform: translateX(-50%) translateY(-50%);
    object-fit: contain;
}

/* Optional overlay to make text more readable */
.overlay {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(0, 0, 0, 0.5); /* Semi-transparent black */
    -webkit-backdrop-filter: blur(10px);
    backdrop-filter: blur(10px);
    z-index: 1;
}
